Listar ferramentas disponíveis
curl --request GET \
--url https://api.olie.ai/api/management/ai/available-tools \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/ai/available-tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/ai/available-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"tools": [
{
"name": "get-project-details-tool",
"title": "Get Project Details Tool",
"description": "Get the details like name, status, funnels, steps, forms, tags, groups and many other details of the project by project identifier.",
"inputSchema": {
"type": "object",
"properties": {
"project_identifier": {
"type": "string",
"description": "The identifier of the project to get the details of. Can be CODE (^[A-Z0-9]+-\\d+$) or ID (uuid)"
}
},
"required": [
"project_identifier"
]
},
"annotations": {
"readOnlyHint": true,
"openWorldHint": false,
"destructiveHint": false,
"idempotentHint": true
}
},
{
"name": "get-user-tool",
"title": "Get User Tool",
"description": "Get the details like name, emails, and simple info about the user by user id.",
"inputSchema": {
"type": "object",
"properties": {
"user_id": {
"type": "string",
"description": "The id of the user to get the details of",
"format": "uuid"
}
},
"required": [
"user_id"
]
},
"annotations": {
"readOnlyHint": true,
"openWorldHint": false,
"destructiveHint": false,
"idempotentHint": true
}
},
{
"name": "today-tool",
"title": "Today Tool",
"description": "Use this tool when you need to know what is the current date and time in the format ISO 8601.",
"inputSchema": {
"type": "object",
"properties": {}
},
"annotations": {
"readOnlyHint": true,
"openWorldHint": false,
"destructiveHint": false,
"idempotentHint": true
}
}
]
}ai-agents
Listar ferramentas disponíveis
Lista as ferramentas que um agente pode usar. O name de cada item é exatamente o valor aceito no campo tools do agente, inputSchema descreve os argumentos que o modelo precisa preencher para chamá-la e annotations indica se ela apenas lê dados ou também escreve. O catálogo é o mesmo para todas as empresas e não tem paginação.
GET
/
api
/
management
/
ai
/
available-tools
Listar ferramentas disponíveis
Was this page helpful?